export default function getGitRepoNameFromUrl(url) {
    const parts = url.split('/');
    const gitName = parts.at(-1);
    if (!gitName.includes('.git')) {
        throw new Error('The repository URL must end in .git.');
    }
    return gitName.split('.').at(0);
}
